Skip to content

Create missing EDLs, Expected Documents, and Milestone Items for specified Milestone records based on a Study Template EDL.

  • The maximum CSV input file size is 1 GB.
  • The values in the input must be UTF-8 encoded.
  • CSVs must follow the standard RFC 4180 format, with some exceptions.
  • The maximum batch size is 500.
POST/api/{version}/app/clinical/studies/{study_id}/apply_template_edl
NameDescription
Content-Typeapplication/json or text/csv
Acceptapplication/json (default) or text/csv
NameDescription
{study_id}The ID of the Study whose Template EDL should be applied to Milestones. The Study record must not be archived and its Template EDL field must be populated.

Upload parameters as a JSON or CSV file. You can add up to 500 records in a single request.

Field NameDescription
idThe ID of the Milestone record to apply the Template EDL to. The Milestone ID must be related to the specified {study_id}. Inactive records are skipped.
curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Content-Type: text/csv" \ -H "Accept: application/json" \ --data-raw 'id 0MI00000001E015 0MI00000001E022 0MI00000001E020' \ https://myvault.veevavault.com/api/v26.1/app/clinical/studies/0ST00000000O001/apply_template_edl
{ "responseStatus": "SUCCESS", "data": [ { "job_id": "740602" } ] }

On SUCCESS, Vault initiates a job to create missing EDLs, Expected Documents, and Milestone Items for the Milestone records provided in the request. You can use the job_id in the response to retrieve the status and results of the request. On completion, Vault sends an email notification with the job results.